auth_enabled: false

server:
  http_listen_port: 3100
  grpc_listen_port: 9096

distributor:
  ring:
    kvstore:
      store: memberlist

common:
  path_prefix: /tmp/loki
  storage:
    filesystem:
      chunks_directory: /tmp/loki/chunks
      rules_directory: /tmp/loki/rules
  replication_factor: 1
  ring:
    instance_addr: 127.0.0.1
    kvstore:
      store: inmemory

ingester:
  lifecycler:
    ring:
      kvstore:
        store: memberlist
      replication_factor: 1
    final_sleep: 0s
  chunk_idle_period: 5m
  chunk_retain_period: 30s

memberlist:
  abort_if_cluster_join_fails: false
  bind_port: 7946

query_range:
  parallelise_shardable_queries: false

querier:
  max_concurrent: 20

frontend:
  max_outstanding_per_tenant: 2048

query_scheduler:
  max_outstanding_requests_per_tenant: 2048


schema_config:
  configs:
    - from: 2020-10-24
      store: boltdb-shipper
      object_store: s3
      schema: v11
      index:
        prefix: index_
        period: 24h

storage_config:
  boltdb_shipper:
    active_index_directory: /loki/index
    cache_location: /loki/index_cache
    shared_store: s3

  aws:
    # https://github.com/unguiculus/loki-minio-demo/blob/main/config/loki/config.yaml#L50
    s3: s3://{{ cloudstack.plugins.minio.config.user }}:{{ cloudstack.plugins.minio.config.password }}@minio.:9000/ayedo-docker-1-loki
    s3forcepathstyle: true

ruler:
  alertmanager_url: http://localhost:9093

limits_config:
  ingestion_burst_size_mb: 1024
  ingestion_rate_mb: 1024
  enforce_metric_name: false
  reject_old_samples: true
  reject_old_samples_max_age: 168h
  retention_period: 8928

compactor:
  working_directory: /data/compactor
  shared_store: s3
  compaction_interval: 5m

analytics:
  reporting_enabled: false